import setuptools
from pywitness import __version__

with open("README.md", "r") as fh:
    long_description = fh.read()

with open("pywitness/requirements.txt", "r") as fh:
    install_requires = fh.readlines()

setuptools.setup(
    name="pywitness",
    packages=['pywitness'],
    version=__version__,
    license='MIT',
    author="BMT, Jaap van der Velde",
    author_email="jaap.vandervelde@bmtglobal.com",
    description="A package for monitoring and parsing (log) files generated by launched or watched processes",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://gitlab.com/Jaap.vanderVelde/pywitness',
    download_url='https://gitlab.com/Jaap.vanderVelde/pywitness/repository/archive.zip?ref='+__version__,
    keywords=['package', 'download', 'monitoring', 'logging', 'CLI', 'client'],
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Topic :: System :: Distributed Computing',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.9',
    ],
    python_requires='>=3.9',
    install_requires=install_requires,
    entry_points={
        'console_scripts': ['pywitness=pywitness.main:cli_entry_point'],
    }
)
